Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class DataSourceServiceFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.service.impl.BeanForInterfaceImplementationFactoryImpl
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.DataSourceServiceFactoryImpl

All Implemented Interfaces:
  BeanForInterfaceImplementationFactory, DataSourceServiceFactory, org.springframework.beans.factory.InitializingBean

    public class DataSourceServiceFactoryImpl

extends BeanForInterfaceImplementationFactoryImpl
implements DataSourceServiceFactory, org.springframework.beans.factory.InitializingBean

Version:
  $Id: DataSourceServiceFactoryImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`DataSourceServiceFactoryImpl()`

Method Summary
`void` | `afterPropertiesSet()`
`protected void` | `collectLanguageTypes()`
`protected void` | `collectTypes(java.lang.String itf, DataSourceServiceDefinition serviceDef)`
`java.util.Map` | `getServiceDefinitionMap()`
`java.util.Set` | `getSupportingDataSourceTypes(java.lang.String queryLanguage)`
`protected java.lang.Class` | `resolveType(java.lang.String itf)`
`protected void` | `setBeanInterfaceMappings()`
`void` | `setServiceDefinitionMap(java.util.Map serviceBeansMap)`

Methods inherited from class com.jaspersoft.jasperserver.api.common.service.impl.BeanForInterfaceImplementationFactoryImpl
`getBean, getBeanForInterfaceMappings, getBeanName, getFactory, setBeanForInterfaceMappings, setFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.service.BeanForInterfaceImplementationFactory
`getBean, getBeanName`

Constructor Detail

### DataSourceServiceFactoryImpl

    public DataSourceServiceFactoryImpl()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### setBeanInterfaceMappings

    protected void setBeanInterfaceMappings()

### collectLanguageTypes

    protected void collectLanguageTypes()

### collectTypes

    protected void collectTypes(java.lang.String itf,
                                DataSourceServiceDefinition serviceDef)

### resolveType

    protected java.lang.Class resolveType(java.lang.String itf)

### getSupportingDataSourceTypes

    public java.util.Set getSupportingDataSourceTypes(java.lang.String queryLanguage)

  Specified by:
    `getSupportingDataSourceTypes` in interface `DataSourceServiceFactory`

### getServiceDefinitionMap

    public java.util.Map getServiceDefinitionMap()

### setServiceDefinitionMap

    public void setServiceDefinitionMap(java.util.Map serviceBeansMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.